### Hierarchy

- unknown
  - GetBestAvailableConnectionRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetBestAvailableConnectionRequest(): GetBestAvailableConnectionRequest

- Inherited from jspb.Message.constructor

  #### Returns GetBestAvailableConnectionRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1116

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetBestAvailableConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1117

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetBestAvailableConnectionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBestAvailableConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1120

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBestAvailableConnectionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBestAvailableConnectionRequest, reader: BinaryReader): GetBestAvailableConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1121

  #### Parameters

  - ##### message: GetBestAvailableConnectionRequest

  - ##### reader: BinaryReader

  #### Returns GetBestAvailableConnectionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBestAvailableConnectionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1119

  #### Parameters

  - ##### message: GetBestAvailableConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetBestAvailableConnectionRequest ): GetBestAvailableConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1118

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBestAvailableConnectionRequest

  #### Returns GetBestAvailableConnectionRequest . AsObject

Generated using TypeDoc